Arch Truss/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 12: Line 12:
</div>
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand/es
{{GuiCommand/es
|Name=Arch Truss
|Name=Arch Truss
Line 19: Line 20:
|Version=0.19
|Version=0.19
}}
}}
</div>


==Descripción==
==Descripción==
Line 34: Line 36:
# Use a workbench of your choice to create a single line
# Use a workbench of your choice to create a single line
# Select that line
# Select that line
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch Truss]]}} button
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch_Truss|Arch Truss]]}} button
# Adjust the truss properties to your liking
# Adjust the truss properties to your liking


Line 41: Line 43:


# Make sure nothing is selected
# Make sure nothing is selected
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch Truss]]}} button
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch_Truss|Arch Truss]]}} button
# Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
Line 68: Line 70:
==Archivos de guión==
==Archivos de guión==


The Truss tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
The Truss tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:


{{Code|code=
{{Code|code=

Revision as of 10:49, 14 August 2021

Arquitectura Armadura

Ubicación en el Menú
Arquitectura → Armadura
Entornos de trabajo
Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
0.19
Ver también
Ninguno

Descripción

La herramienta Arquitectura Armadura construye un objeto [1], bien a partir de un objeto lineal seleccionado (mientas que una Línea de Borrador o Boceto), o bien desde cero, si no hay ningún objeto seleccionado al lanzar el comando.

Utilización

Crear a partir de un objeto seleccionado

  1. Use a workbench of your choice to create a single line
  2. Select that line
  3. Press the Arch Truss button
  4. Adjust the truss properties to your liking


Crear desde cero

  1. Make sure nothing is selected
  2. Press the Arch Truss button
  3. Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
  4. Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
  5. Adjust the truss properties to your liking

Propiedades

Datos

  • DatosTrussAngle: The angle of the truss
  • DatosSlantType: The slant type of this truss
  • DatosNormal: The normal direction of this truss
  • DatosHeightStart: The height of the truss at the start position
  • DatosHeightEnd: The height of the truss at the end position
  • DatosStrutStartOffset: An optional start offset for the top strut
  • DatosStrutEndOffset: An optional end offset for the top strut
  • DatosStrutHeight: The height of the main top and bottom elements of the truss
  • DatosStrutWidth: The width of the main top and bottom elements of the truss
  • DatosRodType: The type of the middle element of the truss
  • DatosRodDirection: The direction of the rods
  • DatosRodSize: The diameter or side of the rods
  • DatosRodSections: The number of rod sections
  • DatosRodEnd: If the truss has a rod at its endpoint or not
  • DatosRodMode: How to draw the rods

Archivos de guión

The Truss tool can be used in macros and from the Python console by using the following function:

Truss = makeFence([baseobj])

Ejemplo:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties